Subject: Re: [GSoC][PATCH] remote: relocate valid_remote_name

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 4 Feb 2025 15:47:03 +0100

On Tue, Feb 04, 2025 at 07:36:24PM +0530, Meet Soni wrote:
> On Tue, 4 Feb 2025 at 13:25, Patrick Steinhardt <[email-masked]> wrote:
> > The change itself looks straight-forward to me. Did you happen to check
> > whether this allows you to drop any includes for "refspec.h"?
>
> I think you mean refspec.c, as refspec.h doesn’t have includes.
> Yeah, I did check -- no include drop found in refspec.c.

Not quite -- I meant whether any other file that previously included
"refspec.h" now doesn't have to anymore because the function declaration
was moved.

Patrick